Package com.studica.frc

## Class Lidar

- java.lang.Object
- - com.studica.frc.Lidar

    public class Lidar
    extends java.lang.Object

Lidar class Java documentation

### Nested Class Summary

Nested Classes
`static class` `Lidar.Port` kUSB1 - Top USB2.0 port kUSB2 - Bottom USB2.0 port
`static class` `Lidar.ScanData` Class to receive Lidar data.

### Constructor Summary

Constructors
`Lidar​(Lidar.Port port)` Constructor for Lidar

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enableFilter​(boolean enable)` Enables the cluster filter on distance in ScanData
`Lidar.ScanData` `getData()` Gets angle and distance output of Lidar sensor
`void` `start()` Starts the Lidar sensor The constructor by default starts the Lidar sensor
`void` `stop()` Stops the Lidar sensor

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lidar

    public Lidar​(Lidar.Port port)

Constructor for Lidar

Parameters:
  `port` - - Location of USB2.0 port

### Method Detail

#### start

    public void start()

Starts the Lidar sensor The constructor by default starts the Lidar sensor

#### stop

    public void stop()

Stops the Lidar sensor

#### getData

    public Lidar.ScanData getData()

Gets angle and distance output of Lidar sensor

Returns:
  Data struct that holds angle and distance

#### enableFilter

    public void enableFilter​(boolean enable)

Enables the cluster filter on distance in ScanData

Parameters:
  `enable` - flag to enable or disable filter